#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanBoolean = 4929,
  GleanCategory = 4942,
  GleanCounter = 4956,
  GleanCustomDistribution = 4969,
  GleanDatetime = 4993,
  GleanDenominator = 5007,
  GleanEvent = 5024,
  GleanImpl = 5035,
  GleanLabeled = 5045,
  GleanMemoryDistribution = 5058,
  GleanMetric = 5082,
  GleanNumerator = 5094,
  GleanPingsImpl = 5109,
  GleanQuantity = 5124,
  GleanRate = 5138,
  GleanString = 5148,
  GleanStringList = 5160,
  GleanText = 5176,
  GleanTimespan = 5186,
  GleanTimingDistribution = 5200,
  GleanUrl = 5224,
  GleanUuid = 5233,
  Grid = 5243,
  GridArea = 5248,
  GridDimension = 5257,
  GridLine = 5271,
  GridLines = 5280,
  GridTrack = 5290,
  GridTracks = 5300,
  HTMLAllCollection = 5311,
  HTMLAnchorElement = 5329,
  HTMLAreaElement = 5347,
  HTMLAudioElement = 5363,
  HTMLBRElement = 5380,
  HTMLBaseElement = 5394,
  HTMLBodyElement = 5410,
  HTMLButtonElement = 5426,
  HTMLCanvasElement = 5444,
  HTMLCollection = 5462,
  HTMLDListElement = 5477,
  HTMLDataElement = 5494,
  HTMLDataListElement = 5510,
  HTMLDetailsElement = 5530,
  HTMLDialogElement = 5549,
  HTMLDirectoryElement = 5567,
  HTMLDivElement = 5588,
  HTMLDocument = 5603,
  HTMLElement = 5616,
  HTMLEmbedElement = 5628,
  HTMLFieldSetElement = 5645,
  HTMLFontElement = 5665,
  HTMLFormControlsCollection = 5681,
  HTMLFormElement = 5708,
  HTMLFrameElement = 5724,
  HTMLFrameSetElement = 5741,
  HTMLHRElement = 5761,
  HTMLHeadElement = 5775,
  HTMLHeadingElement = 5791,
  HTMLHtmlElement = 5810,
  HTMLIFrameElement = 5826,
  HTMLImageElement = 5844,
  HTMLInputElement = 5861,
  HTMLLIElement = 5878,
  HTMLLabelElement = 5892,
  HTMLLegendElement = 5909,
  HTMLLinkElement = 5927,
  HTMLMapElement = 5943,
  HTMLMarqueeElement = 5958,
  HTMLMediaElement = 5977,
  HTMLMenuElement = 5994,
  HTMLMetaElement = 6010,
  HTMLMeterElement = 6026,
  HTMLModElement = 6043,
  HTMLOListElement = 6058,
  HTMLObjectElement = 6075,
  HTMLOptGroupElement = 6093,
  HTMLOptionElement = 6113,
  HTMLOptionsCollection = 6131,
  HTMLOutputElement = 6153,
  HTMLParagraphElement = 6171,
  HTMLParamElement = 6192,
  HTMLPictureElement = 6209,
  HTMLPreElement = 6228,
  HTMLProgressElement = 6243,
  HTMLQuoteElement = 6263,
  HTMLScriptElement = 6280,
  HTMLSelectElement = 6298,
  HTMLSlotElement = 6316,
  HTMLSourceElement = 6332,
  HTMLSpanElement = 6350,
  HTMLStyleElement = 6366,
  HTMLTableCaptionElement = 6383,
  HTMLTableCellElement = 6407,
  HTMLTableColElement = 6428,
  HTMLTableElement = 6448,
  HTMLTableRowElement = 6465,
  HTMLTableSectionElement = 6485,
  HTMLTemplateElement = 6509,
  HTMLTextAreaElement = 6529,
  HTMLTimeElement = 6549,
  HTMLTitleElement = 6565,
  HTMLTrackElement = 6582,
  HTMLUListElement = 6599,
  HTMLUnknownElement = 6616,
  HTMLVideoElement = 6635,
  HashChangeEvent = 6652,
  Headers = 6668,
  Headers_Iterator = 6676,
  HeapSnapshot = 6693,
  Highlight = 6706,
  HighlightRegistry = 6716,
  History = 6734,
  IDBCursor = 6742,
  IDBCursorWithValue = 6752,
  IDBDatabase = 6771,
  IDBFactory = 6783,
  IDBIndex = 6794,
  IDBKeyRange = 6803,
  IDBLocaleAwareKeyRange = 6815,
  IDBObjectStore = 6838,
  IDBOpenDBRequest = 6853,
  IDBRequest = 6870,
  IDBTransaction = 6881,
  IDBVersionChangeEvent = 6896,
  IIRFilterNode = 6918,
  IOUtils = 6932,
  IdentityCredential = 6940,
  IdleDeadline = 6959,
  Image = 6972,
  ImageBitmap = 6978,
  ImageBitmapRenderingContext = 6990,
  ImageCapture = 7018,
  ImageCaptureError = 7031,
  ImageCaptureErrorEvent = 7049,
  ImageData = 7072,
  ImageDocument = 7082,
  InputEvent = 7096,
  InspectorFontFace = 7107,
  InspectorUtils = 7125,
  InstallTriggerImpl = 7140,
  IntersectionObserver = 7159,
  IntersectionObserverEntry = 7180,
  IntlUtils = 7206,
  JSProcessActorChild = 7216,
  JSProcessActorParent = 7236,
  JSWindowActorChild = 7257,
  JSWindowActorParent = 7276,
  KeyEvent = 7296,
  KeyboardEvent = 7305,
  KeyframeEffect = 7319,
  L10nFileSource = 7334,
  L10nOverlays = 7349,
  L10nRegistry = 7362,
  LargestContentfulPaint = 7375,
  LegacyMozTCPSocket = 7398,
  Localization = 7417,
  Location = 7430,
  Lock = 7439,
  LockManager = 7444,
  MIDIAccess = 7456,
  MIDIConnectionEvent = 7467,
  MIDIInput = 7487,
  MIDIInputMap = 7497,
  MIDIMessageEvent = 7510,
  MIDIOutput = 7527,
  MIDIOutputMap = 7538,
  MIDIPort = 7552,
  MOZ_debug = 7561,
  MatchGlob = 7571,
  MatchPattern = 7581,
  MatchPatternSet = 7594,
  MathMLElement = 7610,
  MediaCapabilities = 7624,
  MediaCapabilitiesInfo = 7642,
  MediaControlService = 7664,
  MediaController = 7684,
  MediaDeviceInfo = 7700,
  MediaDevices = 7716,
  MediaElementAudioSourceNode = 7729,
  MediaEncryptedEvent = 7757,
  MediaError = 7777,
  MediaKeyError = 7788,
  MediaKeyMessageEvent = 7802,
  MediaKeySession = 7823,
  MediaKeyStatusMap = 7839,
  MediaKeyStatusMap_Iterator = 7857,
  MediaKeySystemAccess = 7884,
  MediaKeys = 7905,
  MediaList = 7915,
  MediaMetadata = 7925,
  MediaQueryList = 7939,
  MediaQueryListEvent = 7954,
  MediaRecorder = 7974,
  MediaRecorderErrorEvent = 7988,
  MediaSession = 8012,
  MediaSource = 8025,
  MediaStream = 8037,
  MediaStreamAudioDestinationNode = 8049,
  MediaStreamAudioSourceNode = 8081,
  MediaStreamError = 8108,
  MediaStreamEvent = 8125,
  MediaStreamTrack = 8142,
  MediaStreamTrackAudioSourceNode = 8159,
  MediaStreamTrackEvent = 8191,
  MerchantValidationEvent = 8213,
  MessageBroadcaster = 8237,
  MessageChannel = 8256,
  MessageEvent = 8271,
  MessageListenerManager = 8284,
  MessagePort = 8307,
  MessageSender = 8319,
  MimeType = 8333,
  MimeTypeArray = 8342,
  MouseEvent = 8356,
  MouseScrollEvent = 8367,
  MozCanvasPrintState = 8384,
  MozDocumentMatcher = 8404,
  MozDocumentObserver = 8423,
  MozQueryInterface = 8443,
  MozSharedMap = 8461,
  MozSharedMap_Iterator = 8474,
  MozSharedMapChangeEvent = 8496,
  MozStorageAsyncStatementParams = 8520,
  MozStorageStatementParams = 8551,
  MozStorageStatementRow = 8577,
  MozWritableSharedMap = 8600,
  MutationEvent = 8621,
  MutationObserver = 8635,
  MutationRecord = 8652,
  NamedNodeMap = 8667,
  NavigationPreloadManager = 8680,
  Navigator = 8705,
  NetworkInformation = 8715,
  Node = 8734,
  NodeFilter = 8739,
  NodeIterator = 8750,
  NodeList = 8763,
  Notification = 8772,
  NotificationEvent = 8785,
  NotifyPaintEvent = 8803,
  OES_draw_buffers_indexed = 8820,
  OES_element_index_uint = 8845,
  OES_fbo_render_mipmap = 8868,
  OES_standard_derivatives = 8890,
  OES_texture_float = 8915,
  OES_texture_float_linear = 8933,
  OES_texture_half_float = 8958,
  OES_texture_half_float_linear = 8981,
  OES_vertex_array_object = 9011,
  OVR_multiview2 = 9035,
  OfflineAudioCompletionEvent = 9050,
  OfflineAudioContext = 9078,
  OffscreenCanvas = 9098,
  OffscreenCanvasRenderingContext2D = 9114,
  Option = 9148,
  OscillatorNode = 9155,
  PageTransitionEvent = 9170,
  PaintRequest = 9190,
  PaintRequestList = 9203,
  PaintWorkletGlobalScope = 9220,
  PannerNode = 9244,
  ParentProcessMessageManager = 9255,
  Path2D = 9283,
  PathUtils = 9290,
  PaymentAddress = 9300,
  PaymentMethodChangeEvent = 9315,
  PaymentRequest = 9340,
  PaymentRequestUpdateEvent = 9355,
  PaymentResponse = 9381,
  Performance = 9397,
  PerformanceEntry = 9409,
  PerformanceEntryEvent = 9426,
  PerformanceEventTiming = 9448,
  PerformanceMark = 9471,
  PerformanceMeasure = 9487,
  PerformanceNavigation = 9506,
  PerformanceNavigationTiming = 9528,
  PerformanceObserver = 9556,
  PerformanceObserverEntryList = 9576,
  PerformancePaintTiming = 9605,
  PerformanceResourceTiming = 9628,
  PerformanceServerTiming = 9654,
  PerformanceTiming = 9678,
  PeriodicWave = 9696,
  PermissionStatus = 9709,
  Permissions = 9726,
  PlacesBookmark = 9738,
  PlacesBookmarkAddition = 9753,
  PlacesBookmarkChanged = 9776,
  PlacesBookmarkGuid = 9798,
  PlacesBookmarkKeyword = 9817,
  PlacesBookmarkMoved = 9839,
  PlacesBookmarkRemoved = 9859,
  PlacesBookmarkTags = 9881,
  PlacesBookmarkTime = 9900,
  PlacesBookmarkTitle = 9919,
  PlacesBookmarkUrl = 9939,
  PlacesEvent = 9957,
  PlacesFavicon = 9969,
  PlacesHistoryCleared = 9983,
  PlacesObservers = 10004,
  PlacesPurgeCaches = 10020,
  PlacesRanking = 10038,
  PlacesVisit = 10052,
  PlacesVisitRemoved = 10064,
  PlacesVisitTitle = 10083,
  PlacesWeakCallbackWrapper = 10100,
  Plugin = 10126,
  PluginArray = 10133,
  PluginCrashedEvent = 10145,
  PointerEvent = 10164,
  PopStateEvent = 10177,
  PopupBlockedEvent = 10191,
  PopupPositionedEvent = 10209,
  PositionStateEvent = 10230,
  PrecompiledScript = 10249,
  ProcessMessageManager = 10267,
  ProcessingInstruction = 10289,
  ProgressEvent = 10311,
  PromiseDebugging = 10325,
  PromiseNativeHandler = 10342,
  PromiseRejectionEvent = 10363,
  PublicKeyCredential = 10385,
  PushEvent = 10405,
  PushManager = 10415,
  PushManagerImpl = 10427,
  PushMessageData = 10443,
  PushSubscription = 10459,
  PushSubscriptionOptions = 10476,
  RadioNodeList = 10500,
  Range = 10514,
  ReadableByteStreamController = 10520,
  ReadableStream = 10549,
  ReadableStream_AsyncIterator = 10564,
  ReadableStreamBYOBReader = 10593,
  ReadableStreamBYOBRequest = 10618,
  ReadableStreamDefaultController = 10644,
  ReadableStreamDefaultReader = 10676,
  Report = 10704,
  ReportBody = 10711,
  ReportingObserver = 10722,
  Request = 10740,
  ResizeObserver = 10748,
  ResizeObserverEntry = 10763,
  ResizeObserverSize = 10783,
  Response = 10802,
  SVGAElement = 10811,
  SVGAngle = 10823,
  SVGAnimateElement = 10832,
  SVGAnimateMotionElement = 10850,
  SVGAnimateTransformElement = 10874,
  SVGAnimatedAngle = 10901,
  SVGAnimatedBoolean = 10918,
  SVGAnimatedEnumeration = 10937,
  SVGAnimatedInteger = 10960,
  SVGAnimatedLength = 10979,
  SVGAnimatedLengthList = 10997,
  SVGAnimatedNumber = 11019,
  SVGAnimatedNumberList = 11037,
  SVGAnimatedPreserveAspectRatio = 11059,
  SVGAnimatedRect = 11090,
  SVGAnimatedString = 11106,
  SVGAnimatedTransformList = 11124,
  SVGAnimationElement = 11149,
  SVGCircleElement = 11169,
  SVGClipPathElement = 11186,
  SVGComponentTransferFunctionElement = 11205,
  SVGDefsElement = 11241,
  SVGDescElement = 11256,
  SVGElement = 11271,
  SVGEllipseElement = 11282,
  SVGFEBlendElement = 11300,
  SVGFEColorMatrixElement = 11318,
  SVGFEComponentTransferElement = 11342,
  SVGFECompositeElement = 11372,
  SVGFEConvolveMatrixElement = 11394,
  SVGFEDiffuseLightingElement = 11421,
  SVGFEDisplacementMapElement = 11449,
  SVGFEDistantLightElement = 11477,
  SVGFEDropShadowElement = 11502,
  SVGFEFloodElement = 11525,
  SVGFEFuncAElement = 11543,
  SVGFEFuncBElement = 11561,
  SVGFEFuncGElement = 11579,
  SVGFEFuncRElement = 11597,
  SVGFEGaussianBlurElement = 11615,
  SVGFEImageElement = 11640,
  SVGFEMergeElement = 11658,
  SVGFEMergeNodeElement = 11676,
  SVGFEMorphologyElement = 11698,
  SVGFEOffsetElement = 11721,
  SVGFEPointLightElement = 11740,
  SVGFESpecularLightingElement = 11763,
  SVGFESpotLightElement = 11792,
  SVGFETileElement = 11814,
  SVGFETurbulenceElement = 11831,
  SVGFilterElement = 11854,
  SVGForeignObjectElement = 11871,
  SVGGElement = 11895,
  SVGGeometryElement = 11907,
  SVGGradientElement = 11926,
  SVGGraphicsElement = 11945,
  SVGImageElement = 11964,
  SVGLength = 11980,
  SVGLengthList = 11990,
  SVGLineElement = 12004,
  SVGLinearGradientElement = 12019,
  SVGMPathElement = 12044,
  SVGMarkerElement = 12060,
  SVGMaskElement = 12077,
  SVGMatrix = 12092,
  SVGMetadataElement = 12102,
  SVGNumber = 12121,
  SVGNumberList = 12131,
  SVGPathElement = 12145,
  SVGPathSeg = 12160,
  SVGPathSegArcAbs = 12171,
  SVGPathSegArcRel = 12188,
  SVGPathSegClosePath = 12205,
  SVGPathSegCurvetoCubicAbs = 12225,
  SVGPathSegCurvetoCubicRel = 12251,
  SVGPathSegCurvetoCubicSmoothAbs = 12277,
  SVGPathSegCurvetoCubicSmoothRel = 12309,
  SVGPathSegCurvetoQuadraticAbs = 12341,
  SVGPathSegCurvetoQuadraticRel = 12371,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12401,
  SVGPathSegCurvetoQuadraticSmoothRel = 12437,
  SVGPathSegLinetoAbs = 12473,
  SVGPathSegLinetoHorizontalAbs = 12493,
  SVGPathSegLinetoHorizontalRel = 12523,
  SVGPathSegLinetoRel = 12553,
  SVGPathSegLinetoVerticalAbs = 12573,
  SVGPathSegLinetoVerticalRel = 12601,
  SVGPathSegList = 12629,
  SVGPathSegMovetoAbs = 12644,
  SVGPathSegMovetoRel = 12664,
  SVGPatternElement = 12684,
  SVGPoint = 12702,
  SVGPointList = 12711,
  SVGPolygonElement = 12724,
  SVGPolylineElement = 12742,
  SVGPreserveAspectRatio = 12761,
  SVGRadialGradientElement = 12784,
  SVGRect = 12809,
  SVGRectElement = 12817,
  SVGSVGElement = 12832,
  SVGScriptElement = 12846,
  SVGSetElement = 12863,
  SVGStopElement = 12877,
  SVGStringList = 12892,
  SVGStyleElement = 12906,
  SVGSwitchElement = 12922,
  SVGSymbolElement = 12939,
  SVGTSpanElement = 12956,
  SVGTextContentElement = 12972,
  SVGTextElement = 12994,
  SVGTextPathElement = 13009,
  SVGTextPositioningElement = 13028,
  SVGTitleElement = 13054,
  SVGTransform = 13070,
  SVGTransformList = 13083,
  SVGUnitTypes = 13100,
  SVGUseElement = 13113,
  SVGViewElement = 13127,
  Sanitizer = 13142,
  Scheduler = 13152,
  Screen = 13162,
  ScreenLuminance = 13169,
  ScreenOrientation = 13185,
  ScriptProcessorNode = 13203,
  ScrollAreaEvent = 13223,
  ScrollViewChangeEvent = 13239,
  SecurityPolicyViolationEvent = 13261,
  Selection = 13290,
  ServiceWorker = 13300,
  ServiceWorkerContainer = 13314,
  ServiceWorkerGlobalScope = 13337,
  ServiceWorkerRegistration = 13362,
  SessionStoreFormData = 13388,
  SessionStoreScrollData = 13409,
  SessionStoreUtils = 13432,
  ShadowRealmGlobalScope = 13450,
  ShadowRoot = 13473,
  SharedWorker = 13484,
  SharedWorkerGlobalScope = 13497,
  SimpleGestureEvent = 13521,
  SourceBuffer = 13540,
  SourceBufferList = 13553,
  SpeechGrammar = 13570,
  SpeechGrammarList = 13584,
  SpeechRecognition = 13602,
  SpeechRecognitionAlternative = 13620,
  SpeechRecognitionError = 13649,
  SpeechRecognitionEvent = 13672,
  SpeechRecognitionResult = 13695,
  SpeechRecognitionResultList = 13719,
  SpeechSynthesis = 13747,
  SpeechSynthesisErrorEvent = 13763,
  SpeechSynthesisEvent = 13789,
  SpeechSynthesisUtterance = 13810,
  SpeechSynthesisVoice = 13835,
  StaticRange = 13856,
  StereoPannerNode = 13868,
  Storage = 13885,
  StorageEvent = 13893,
  StorageManager = 13906,
  StreamFilter = 13921,
  StreamFilterDataEvent = 13934,
  StructuredCloneHolder = 13956,
  StructuredCloneTester = 13978,
  StyleSheet = 14000,
  StyleSheetApplicableStateChangeEvent = 14011,
  StyleSheetList = 14048,
  StyleSheetRemovedEvent = 14063,
  SubmitEvent = 14086,
  SubtleCrypto = 14098,
  SyncMessageSender = 14111,
  SyncReadFile = 14129,
  TCPServerSocket = 14142,
  TCPServerSocketEvent = 14158,
  TCPSocket = 14179,
  TCPSocketErrorEvent = 14189,
  TCPSocketEvent = 14209,
  TaskController = 14224,
  TaskPriorityChangeEvent = 14239,
  TaskSignal = 14263,
  TelemetryStopwatch = 14274,
  TestUtils = 14293,
  TestingDeprecatedInterface = 14303,
  Text = 14330,
  TextClause = 14335,
  TextDecoder = 14346,
  TextDecoderStream = 14358,
  TextEncoder = 14376,
  TextEncoderStream = 14388,
  TextMetrics = 14406,
  TextTrack = 14418,
  TextTrackCue = 14428,
  TextTrackCueList = 14441,
  TextTrackList = 14458,
  TimeEvent = 14472,
  TimeRanges = 14482,
  ToggleEvent = 14493,
  Touch = 14505,
  TouchEvent = 14511,
  TouchList = 14522,
  TrackEvent = 14532,
  TransformStream = 14543,
  TransformStreamDefaultController = 14559,
  TransitionEvent = 14592,
  TreeColumn = 14608,
  TreeColumns = 14619,
  TreeContentView = 14631,
  TreeWalker = 14647,
  UDPMessageEvent = 14658,
  UDPSocket = 14674,
  UIEvent = 14684,
  URL = 14692,
  URLSearchParams = 14696,
  URLSearchParams_Iterator = 14712,
  UniFFIPointer = 14737,
  UniFFIScaffolding = 14751,
  UserActivation = 14769,
  UserInteraction = 14784,
  UserProximityEvent = 14800,
  VRDisplay = 14819,
  VRDisplayCapabilities = 14829,
  VRDisplayEvent = 14851,
  VREyeParameters = 14866,
  VRFieldOfView = 14882,
  VRFrameData = 14896,
  VRMockController = 14908,
  VRMockDisplay = 14925,
  VRPose = 14939,
  VRServiceTest = 14946,
  VRStageParameters = 14960,
  VTTCue = 14978,
  VTTRegion = 14985,
  ValidityState = 14995,
  VideoColorSpace = 15009,
  VideoDecoder = 15025,
  VideoFrame = 15038,
  VideoPlaybackQuality = 15049,
  VideoTrack = 15070,
  VideoTrackList = 15081,
  VisualViewport = 15096,
  WEBGL_color_buffer_float = 15111,
  WEBGL_compressed_texture_astc = 15136,
  WEBGL_compressed_texture_etc = 15166,
  WEBGL_compressed_texture_etc1 = 15195,
  WEBGL_compressed_texture_pvrtc = 15225,
  WEBGL_compressed_texture_s3tc = 15256,
  WEBGL_compressed_texture_s3tc_srgb = 15286,
  WEBGL_debug_renderer_info = 15321,
  WEBGL_debug_shaders = 15347,
  WEBGL_depth_texture = 15367,
  WEBGL_draw_buffers = 15387,
  WEBGL_explicit_present = 15406,
  WEBGL_lose_context = 15429,
  WEBGL_provoking_vertex = 15448,
  WaveShaperNode = 15471,
  WebExtensionContentScript = 15486,
  WebExtensionPolicy = 15512,
  WebGL2RenderingContext = 15531,
  WebGLActiveInfo = 15554,
  WebGLBuffer = 15570,
  WebGLContextEvent = 15582,
  WebGLFramebuffer = 15600,
  WebGLProgram = 15617,
  WebGLQuery = 15630,
  WebGLRenderbuffer = 15641,
  WebGLRenderingContext = 15659,
  WebGLSampler = 15681,
  WebGLShader = 15694,
  WebGLShaderPrecisionFormat = 15706,
  WebGLSync = 15733,
  WebGLTexture = 15743,
  WebGLTransformFeedback = 15756,
  WebGLUniformLocation = 15779,
  WebGLVertexArrayObject = 15800,
  WebKitCSSMatrix = 15823,
  WebSocket = 15839,
  WebTransport = 15849,
  WebTransportBidirectionalStream = 15862,
  WebTransportDatagramDuplexStream = 15894,
  WebTransportError = 15927,
  WebTransportReceiveStream = 15945,
  WebTransportSendStream = 15971,
  WheelEvent = 15994,
  Window = 16005,
  WindowClient = 16012,
  WindowContext = 16025,
  WindowGlobalChild = 16039,
  WindowGlobalParent = 16057,
  WindowRoot = 16076,
  Worker = 16087,
  WorkerDebuggerGlobalScope = 16094,
  WorkerGlobalScope = 16120,
  WorkerLocation = 16138,
  WorkerNavigator = 16153,
  WorkerTestUtils = 16169,
  Worklet = 16185,
  WorkletGlobalScope = 16193,
  WritableStream = 16212,
  WritableStreamDefaultController = 16227,
  WritableStreamDefaultWriter = 16259,
  XMLDocument = 16287,
  XMLHttpRequest = 16299,
  XMLHttpRequestEventTarget = 16314,
  XMLHttpRequestUpload = 16340,
  XMLSerializer = 16361,
  XPathEvaluator = 16375,
  XPathExpression = 16390,
  XPathResult = 16406,
  XRBoundedReferenceSpace = 16418,
  XRFrame = 16442,
  XRInputSource = 16450,
  XRInputSourceArray = 16464,
  XRInputSourceEvent = 16483,
  XRInputSourcesChangeEvent = 16502,
  XRPose = 16528,
  XRReferenceSpace = 16535,
  XRReferenceSpaceEvent = 16552,
  XRRenderState = 16574,
  XRRigidTransform = 16588,
  XRSession = 16605,
  XRSessionEvent = 16615,
  XRSpace = 16630,
  XRSystem = 16638,
  XRView = 16647,
  XRViewerPose = 16654,
  XRViewport = 16667,
  XRWebGLLayer = 16678,
  XSLTProcessor = 16691,
  XULCommandEvent = 16705,
  XULElement = 16721,
  XULFrameElement = 16732,
  XULMenuElement = 16748,
  XULPopupElement = 16763,
  XULResizerElement = 16779,
  XULTextElement = 16797,
  XULTreeElement = 16812,
  console = 16827,
  webkitSpeechGrammar = 16835,
  webkitSpeechGrammarList = 16855,
  webkitSpeechRecognition = 16879,
  webkitURL = 16903,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
