#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUError" "\0"
  /*  4325 */ "GPUInternalError" "\0"
  /*  4342 */ "GPUMapMode" "\0"
  /*  4353 */ "GPUOutOfMemoryError" "\0"
  /*  4373 */ "GPUPipelineLayout" "\0"
  /*  4391 */ "GPUQuerySet" "\0"
  /*  4403 */ "GPUQueue" "\0"
  /*  4412 */ "GPURenderBundle" "\0"
  /*  4428 */ "GPURenderBundleEncoder" "\0"
  /*  4451 */ "GPURenderPassEncoder" "\0"
  /*  4472 */ "GPURenderPipeline" "\0"
  /*  4490 */ "GPUSampler" "\0"
  /*  4501 */ "GPUShaderModule" "\0"
  /*  4517 */ "GPUShaderStage" "\0"
  /*  4532 */ "GPUSupportedFeatures" "\0"
  /*  4553 */ "GPUSupportedLimits" "\0"
  /*  4572 */ "GPUTexture" "\0"
  /*  4583 */ "GPUTextureUsage" "\0"
  /*  4599 */ "GPUTextureView" "\0"
  /*  4614 */ "GPUUncapturedErrorEvent" "\0"
  /*  4638 */ "GPUValidationError" "\0"
  /*  4657 */ "GainNode" "\0"
  /*  4666 */ "Gamepad" "\0"
  /*  4674 */ "GamepadAxisMoveEvent" "\0"
  /*  4695 */ "GamepadButton" "\0"
  /*  4709 */ "GamepadButtonEvent" "\0"
  /*  4728 */ "GamepadEvent" "\0"
  /*  4741 */ "GamepadHapticActuator" "\0"
  /*  4763 */ "GamepadLightIndicator" "\0"
  /*  4785 */ "GamepadPose" "\0"
  /*  4797 */ "GamepadServiceTest" "\0"
  /*  4816 */ "GamepadTouch" "\0"
  /*  4829 */ "Geolocation" "\0"
  /*  4841 */ "GeolocationCoordinates" "\0"
  /*  4864 */ "GeolocationPosition" "\0"
  /*  4884 */ "GeolocationPositionError" "\0"
  /*  4909 */ "GetUserMediaRequest" "\0"
  /*  4929 */ "GleanBoolean" "\0"
  /*  4942 */ "GleanCategory" "\0"
  /*  4956 */ "GleanCounter" "\0"
  /*  4969 */ "GleanCustomDistribution" "\0"
  /*  4993 */ "GleanDatetime" "\0"
  /*  5007 */ "GleanDenominator" "\0"
  /*  5024 */ "GleanEvent" "\0"
  /*  5035 */ "GleanImpl" "\0"
  /*  5045 */ "GleanLabeled" "\0"
  /*  5058 */ "GleanMemoryDistribution" "\0"
  /*  5082 */ "GleanMetric" "\0"
  /*  5094 */ "GleanNumerator" "\0"
  /*  5109 */ "GleanPingsImpl" "\0"
  /*  5124 */ "GleanQuantity" "\0"
  /*  5138 */ "GleanRate" "\0"
  /*  5148 */ "GleanString" "\0"
  /*  5160 */ "GleanStringList" "\0"
  /*  5176 */ "GleanText" "\0"
  /*  5186 */ "GleanTimespan" "\0"
  /*  5200 */ "GleanTimingDistribution" "\0"
  /*  5224 */ "GleanUrl" "\0"
  /*  5233 */ "GleanUuid" "\0"
  /*  5243 */ "Grid" "\0"
  /*  5248 */ "GridArea" "\0"
  /*  5257 */ "GridDimension" "\0"
  /*  5271 */ "GridLine" "\0"
  /*  5280 */ "GridLines" "\0"
  /*  5290 */ "GridTrack" "\0"
  /*  5300 */ "GridTracks" "\0"
  /*  5311 */ "HTMLAllCollection" "\0"
  /*  5329 */ "HTMLAnchorElement" "\0"
  /*  5347 */ "HTMLAreaElement" "\0"
  /*  5363 */ "HTMLAudioElement" "\0"
  /*  5380 */ "HTMLBRElement" "\0"
  /*  5394 */ "HTMLBaseElement" "\0"
  /*  5410 */ "HTMLBodyElement" "\0"
  /*  5426 */ "HTMLButtonElement" "\0"
  /*  5444 */ "HTMLCanvasElement" "\0"
  /*  5462 */ "HTMLCollection" "\0"
  /*  5477 */ "HTMLDListElement" "\0"
  /*  5494 */ "HTMLDataElement" "\0"
  /*  5510 */ "HTMLDataListElement" "\0"
  /*  5530 */ "HTMLDetailsElement" "\0"
  /*  5549 */ "HTMLDialogElement" "\0"
  /*  5567 */ "HTMLDirectoryElement" "\0"
  /*  5588 */ "HTMLDivElement" "\0"
  /*  5603 */ "HTMLDocument" "\0"
  /*  5616 */ "HTMLElement" "\0"
  /*  5628 */ "HTMLEmbedElement" "\0"
  /*  5645 */ "HTMLFieldSetElement" "\0"
  /*  5665 */ "HTMLFontElement" "\0"
  /*  5681 */ "HTMLFormControlsCollection" "\0"
  /*  5708 */ "HTMLFormElement" "\0"
  /*  5724 */ "HTMLFrameElement" "\0"
  /*  5741 */ "HTMLFrameSetElement" "\0"
  /*  5761 */ "HTMLHRElement" "\0"
  /*  5775 */ "HTMLHeadElement" "\0"
  /*  5791 */ "HTMLHeadingElement" "\0"
  /*  5810 */ "HTMLHtmlElement" "\0"
  /*  5826 */ "HTMLIFrameElement" "\0"
  /*  5844 */ "HTMLImageElement" "\0"
  /*  5861 */ "HTMLInputElement" "\0"
  /*  5878 */ "HTMLLIElement" "\0"
  /*  5892 */ "HTMLLabelElement" "\0"
  /*  5909 */ "HTMLLegendElement" "\0"
  /*  5927 */ "HTMLLinkElement" "\0"
  /*  5943 */ "HTMLMapElement" "\0"
  /*  5958 */ "HTMLMarqueeElement" "\0"
  /*  5977 */ "HTMLMediaElement" "\0"
  /*  5994 */ "HTMLMenuElement" "\0"
  /*  6010 */ "HTMLMetaElement" "\0"
  /*  6026 */ "HTMLMeterElement" "\0"
  /*  6043 */ "HTMLModElement" "\0"
  /*  6058 */ "HTMLOListElement" "\0"
  /*  6075 */ "HTMLObjectElement" "\0"
  /*  6093 */ "HTMLOptGroupElement" "\0"
  /*  6113 */ "HTMLOptionElement" "\0"
  /*  6131 */ "HTMLOptionsCollection" "\0"
  /*  6153 */ "HTMLOutputElement" "\0"
  /*  6171 */ "HTMLParagraphElement" "\0"
  /*  6192 */ "HTMLParamElement" "\0"
  /*  6209 */ "HTMLPictureElement" "\0"
  /*  6228 */ "HTMLPreElement" "\0"
  /*  6243 */ "HTMLProgressElement" "\0"
  /*  6263 */ "HTMLQuoteElement" "\0"
  /*  6280 */ "HTMLScriptElement" "\0"
  /*  6298 */ "HTMLSelectElement" "\0"
  /*  6316 */ "HTMLSlotElement" "\0"
  /*  6332 */ "HTMLSourceElement" "\0"
  /*  6350 */ "HTMLSpanElement" "\0"
  /*  6366 */ "HTMLStyleElement" "\0"
  /*  6383 */ "HTMLTableCaptionElement" "\0"
  /*  6407 */ "HTMLTableCellElement" "\0"
  /*  6428 */ "HTMLTableColElement" "\0"
  /*  6448 */ "HTMLTableElement" "\0"
  /*  6465 */ "HTMLTableRowElement" "\0"
  /*  6485 */ "HTMLTableSectionElement" "\0"
  /*  6509 */ "HTMLTemplateElement" "\0"
  /*  6529 */ "HTMLTextAreaElement" "\0"
  /*  6549 */ "HTMLTimeElement" "\0"
  /*  6565 */ "HTMLTitleElement" "\0"
  /*  6582 */ "HTMLTrackElement" "\0"
  /*  6599 */ "HTMLUListElement" "\0"
  /*  6616 */ "HTMLUnknownElement" "\0"
  /*  6635 */ "HTMLVideoElement" "\0"
  /*  6652 */ "HashChangeEvent" "\0"
  /*  6668 */ "Headers" "\0"
  /*  6676 */ "Headers Iterator" "\0"
  /*  6693 */ "HeapSnapshot" "\0"
  /*  6706 */ "Highlight" "\0"
  /*  6716 */ "HighlightRegistry" "\0"
  /*  6734 */ "History" "\0"
  /*  6742 */ "IDBCursor" "\0"
  /*  6752 */ "IDBCursorWithValue" "\0"
  /*  6771 */ "IDBDatabase" "\0"
  /*  6783 */ "IDBFactory" "\0"
  /*  6794 */ "IDBIndex" "\0"
  /*  6803 */ "IDBKeyRange" "\0"
  /*  6815 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6838 */ "IDBObjectStore" "\0"
  /*  6853 */ "IDBOpenDBRequest" "\0"
  /*  6870 */ "IDBRequest" "\0"
  /*  6881 */ "IDBTransaction" "\0"
  /*  6896 */ "IDBVersionChangeEvent" "\0"
  /*  6918 */ "IIRFilterNode" "\0"
  /*  6932 */ "IOUtils" "\0"
  /*  6940 */ "IdentityCredential" "\0"
  /*  6959 */ "IdleDeadline" "\0"
  /*  6972 */ "Image" "\0"
  /*  6978 */ "ImageBitmap" "\0"
  /*  6990 */ "ImageBitmapRenderingContext" "\0"
  /*  7018 */ "ImageCapture" "\0"
  /*  7031 */ "ImageCaptureError" "\0"
  /*  7049 */ "ImageCaptureErrorEvent" "\0"
  /*  7072 */ "ImageData" "\0"
  /*  7082 */ "ImageDocument" "\0"
  /*  7096 */ "InputEvent" "\0"
  /*  7107 */ "InspectorFontFace" "\0"
  /*  7125 */ "InspectorUtils" "\0"
  /*  7140 */ "InstallTriggerImpl" "\0"
  /*  7159 */ "IntersectionObserver" "\0"
  /*  7180 */ "IntersectionObserverEntry" "\0"
  /*  7206 */ "IntlUtils" "\0"
  /*  7216 */ "JSProcessActorChild" "\0"
  /*  7236 */ "JSProcessActorParent" "\0"
  /*  7257 */ "JSWindowActorChild" "\0"
  /*  7276 */ "JSWindowActorParent" "\0"
  /*  7296 */ "KeyEvent" "\0"
  /*  7305 */ "KeyboardEvent" "\0"
  /*  7319 */ "KeyframeEffect" "\0"
  /*  7334 */ "L10nFileSource" "\0"
  /*  7349 */ "L10nOverlays" "\0"
  /*  7362 */ "L10nRegistry" "\0"
  /*  7375 */ "LargestContentfulPaint" "\0"
  /*  7398 */ "LegacyMozTCPSocket" "\0"
  /*  7417 */ "Localization" "\0"
  /*  7430 */ "Location" "\0"
  /*  7439 */ "Lock" "\0"
  /*  7444 */ "LockManager" "\0"
  /*  7456 */ "MIDIAccess" "\0"
  /*  7467 */ "MIDIConnectionEvent" "\0"
  /*  7487 */ "MIDIInput" "\0"
  /*  7497 */ "MIDIInputMap" "\0"
  /*  7510 */ "MIDIMessageEvent" "\0"
  /*  7527 */ "MIDIOutput" "\0"
  /*  7538 */ "MIDIOutputMap" "\0"
  /*  7552 */ "MIDIPort" "\0"
  /*  7561 */ "MOZ_debug" "\0"
  /*  7571 */ "MatchGlob" "\0"
  /*  7581 */ "MatchPattern" "\0"
  /*  7594 */ "MatchPatternSet" "\0"
  /*  7610 */ "MathMLElement" "\0"
  /*  7624 */ "MediaCapabilities" "\0"
  /*  7642 */ "MediaCapabilitiesInfo" "\0"
  /*  7664 */ "MediaControlService" "\0"
  /*  7684 */ "MediaController" "\0"
  /*  7700 */ "MediaDeviceInfo" "\0"
  /*  7716 */ "MediaDevices" "\0"
  /*  7729 */ "MediaElementAudioSourceNode" "\0"
  /*  7757 */ "MediaEncryptedEvent" "\0"
  /*  7777 */ "MediaError" "\0"
  /*  7788 */ "MediaKeyError" "\0"
  /*  7802 */ "MediaKeyMessageEvent" "\0"
  /*  7823 */ "MediaKeySession" "\0"
  /*  7839 */ "MediaKeyStatusMap" "\0"
  /*  7857 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7884 */ "MediaKeySystemAccess" "\0"
  /*  7905 */ "MediaKeys" "\0"
  /*  7915 */ "MediaList" "\0"
  /*  7925 */ "MediaMetadata" "\0"
  /*  7939 */ "MediaQueryList" "\0"
  /*  7954 */ "MediaQueryListEvent" "\0"
  /*  7974 */ "MediaRecorder" "\0"
  /*  7988 */ "MediaRecorderErrorEvent" "\0"
  /*  8012 */ "MediaSession" "\0"
  /*  8025 */ "MediaSource" "\0"
  /*  8037 */ "MediaStream" "\0"
  /*  8049 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8081 */ "MediaStreamAudioSourceNode" "\0"
  /*  8108 */ "MediaStreamError" "\0"
  /*  8125 */ "MediaStreamEvent" "\0"
  /*  8142 */ "MediaStreamTrack" "\0"
  /*  8159 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8191 */ "MediaStreamTrackEvent" "\0"
  /*  8213 */ "MerchantValidationEvent" "\0"
  /*  8237 */ "MessageBroadcaster" "\0"
  /*  8256 */ "MessageChannel" "\0"
  /*  8271 */ "MessageEvent" "\0"
  /*  8284 */ "MessageListenerManager" "\0"
  /*  8307 */ "MessagePort" "\0"
  /*  8319 */ "MessageSender" "\0"
  /*  8333 */ "MimeType" "\0"
  /*  8342 */ "MimeTypeArray" "\0"
  /*  8356 */ "MouseEvent" "\0"
  /*  8367 */ "MouseScrollEvent" "\0"
  /*  8384 */ "MozCanvasPrintState" "\0"
  /*  8404 */ "MozDocumentMatcher" "\0"
  /*  8423 */ "MozDocumentObserver" "\0"
  /*  8443 */ "MozQueryInterface" "\0"
  /*  8461 */ "MozSharedMap" "\0"
  /*  8474 */ "MozSharedMap Iterator" "\0"
  /*  8496 */ "MozSharedMapChangeEvent" "\0"
  /*  8520 */ "MozStorageAsyncStatementParams" "\0"
  /*  8551 */ "MozStorageStatementParams" "\0"
  /*  8577 */ "MozStorageStatementRow" "\0"
  /*  8600 */ "MozWritableSharedMap" "\0"
  /*  8621 */ "MutationEvent" "\0"
  /*  8635 */ "MutationObserver" "\0"
  /*  8652 */ "MutationRecord" "\0"
  /*  8667 */ "NamedNodeMap" "\0"
  /*  8680 */ "NavigationPreloadManager" "\0"
  /*  8705 */ "Navigator" "\0"
  /*  8715 */ "NetworkInformation" "\0"
  /*  8734 */ "Node" "\0"
  /*  8739 */ "NodeFilter" "\0"
  /*  8750 */ "NodeIterator" "\0"
  /*  8763 */ "NodeList" "\0"
  /*  8772 */ "Notification" "\0"
  /*  8785 */ "NotificationEvent" "\0"
  /*  8803 */ "NotifyPaintEvent" "\0"
  /*  8820 */ "OES_draw_buffers_indexed" "\0"
  /*  8845 */ "OES_element_index_uint" "\0"
  /*  8868 */ "OES_fbo_render_mipmap" "\0"
  /*  8890 */ "OES_standard_derivatives" "\0"
  /*  8915 */ "OES_texture_float" "\0"
  /*  8933 */ "OES_texture_float_linear" "\0"
  /*  8958 */ "OES_texture_half_float" "\0"
  /*  8981 */ "OES_texture_half_float_linear" "\0"
  /*  9011 */ "OES_vertex_array_object" "\0"
  /*  9035 */ "OVR_multiview2" "\0"
  /*  9050 */ "OfflineAudioCompletionEvent" "\0"
  /*  9078 */ "OfflineAudioContext" "\0"
  /*  9098 */ "OffscreenCanvas" "\0"
  /*  9114 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9148 */ "Option" "\0"
  /*  9155 */ "OscillatorNode" "\0"
  /*  9170 */ "PageTransitionEvent" "\0"
  /*  9190 */ "PaintRequest" "\0"
  /*  9203 */ "PaintRequestList" "\0"
  /*  9220 */ "PaintWorkletGlobalScope" "\0"
  /*  9244 */ "PannerNode" "\0"
  /*  9255 */ "ParentProcessMessageManager" "\0"
  /*  9283 */ "Path2D" "\0"
  /*  9290 */ "PathUtils" "\0"
  /*  9300 */ "PaymentAddress" "\0"
  /*  9315 */ "PaymentMethodChangeEvent" "\0"
  /*  9340 */ "PaymentRequest" "\0"
  /*  9355 */ "PaymentRequestUpdateEvent" "\0"
  /*  9381 */ "PaymentResponse" "\0"
  /*  9397 */ "Performance" "\0"
  /*  9409 */ "PerformanceEntry" "\0"
  /*  9426 */ "PerformanceEntryEvent" "\0"
  /*  9448 */ "PerformanceEventTiming" "\0"
  /*  9471 */ "PerformanceMark" "\0"
  /*  9487 */ "PerformanceMeasure" "\0"
  /*  9506 */ "PerformanceNavigation" "\0"
  /*  9528 */ "PerformanceNavigationTiming" "\0"
  /*  9556 */ "PerformanceObserver" "\0"
  /*  9576 */ "PerformanceObserverEntryList" "\0"
  /*  9605 */ "PerformancePaintTiming" "\0"
  /*  9628 */ "PerformanceResourceTiming" "\0"
  /*  9654 */ "PerformanceServerTiming" "\0"
  /*  9678 */ "PerformanceTiming" "\0"
  /*  9696 */ "PeriodicWave" "\0"
  /*  9709 */ "PermissionStatus" "\0"
  /*  9726 */ "Permissions" "\0"
  /*  9738 */ "PlacesBookmark" "\0"
  /*  9753 */ "PlacesBookmarkAddition" "\0"
  /*  9776 */ "PlacesBookmarkChanged" "\0"
  /*  9798 */ "PlacesBookmarkGuid" "\0"
  /*  9817 */ "PlacesBookmarkKeyword" "\0"
  /*  9839 */ "PlacesBookmarkMoved" "\0"
  /*  9859 */ "PlacesBookmarkRemoved" "\0"
  /*  9881 */ "PlacesBookmarkTags" "\0"
  /*  9900 */ "PlacesBookmarkTime" "\0"
  /*  9919 */ "PlacesBookmarkTitle" "\0"
  /*  9939 */ "PlacesBookmarkUrl" "\0"
  /*  9957 */ "PlacesEvent" "\0"
  /*  9969 */ "PlacesFavicon" "\0"
  /*  9983 */ "PlacesHistoryCleared" "\0"
  /* 10004 */ "PlacesObservers" "\0"
  /* 10020 */ "PlacesPurgeCaches" "\0"
  /* 10038 */ "PlacesRanking" "\0"
  /* 10052 */ "PlacesVisit" "\0"
  /* 10064 */ "PlacesVisitRemoved" "\0"
  /* 10083 */ "PlacesVisitTitle" "\0"
  /* 10100 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10126 */ "Plugin" "\0"
  /* 10133 */ "PluginArray" "\0"
  /* 10145 */ "PluginCrashedEvent" "\0"
  /* 10164 */ "PointerEvent" "\0"
  /* 10177 */ "PopStateEvent" "\0"
  /* 10191 */ "PopupBlockedEvent" "\0"
  /* 10209 */ "PopupPositionedEvent" "\0"
  /* 10230 */ "PositionStateEvent" "\0"
  /* 10249 */ "PrecompiledScript" "\0"
  /* 10267 */ "ProcessMessageManager" "\0"
  /* 10289 */ "ProcessingInstruction" "\0"
  /* 10311 */ "ProgressEvent" "\0"
  /* 10325 */ "PromiseDebugging" "\0"
  /* 10342 */ "PromiseNativeHandler" "\0"
  /* 10363 */ "PromiseRejectionEvent" "\0"
  /* 10385 */ "PublicKeyCredential" "\0"
  /* 10405 */ "PushEvent" "\0"
  /* 10415 */ "PushManager" "\0"
  /* 10427 */ "PushManagerImpl" "\0"
  /* 10443 */ "PushMessageData" "\0"
  /* 10459 */ "PushSubscription" "\0"
  /* 10476 */ "PushSubscriptionOptions" "\0"
  /* 10500 */ "RadioNodeList" "\0"
  /* 10514 */ "Range" "\0"
  /* 10520 */ "ReadableByteStreamController" "\0"
  /* 10549 */ "ReadableStream" "\0"
  /* 10564 */ "ReadableStream AsyncIterator" "\0"
  /* 10593 */ "ReadableStreamBYOBReader" "\0"
  /* 10618 */ "ReadableStreamBYOBRequest" "\0"
  /* 10644 */ "ReadableStreamDefaultController" "\0"
  /* 10676 */ "ReadableStreamDefaultReader" "\0"
  /* 10704 */ "Report" "\0"
  /* 10711 */ "ReportBody" "\0"
  /* 10722 */ "ReportingObserver" "\0"
  /* 10740 */ "Request" "\0"
  /* 10748 */ "ResizeObserver" "\0"
  /* 10763 */ "ResizeObserverEntry" "\0"
  /* 10783 */ "ResizeObserverSize" "\0"
  /* 10802 */ "Response" "\0"
  /* 10811 */ "SVGAElement" "\0"
  /* 10823 */ "SVGAngle" "\0"
  /* 10832 */ "SVGAnimateElement" "\0"
  /* 10850 */ "SVGAnimateMotionElement" "\0"
  /* 10874 */ "SVGAnimateTransformElement" "\0"
  /* 10901 */ "SVGAnimatedAngle" "\0"
  /* 10918 */ "SVGAnimatedBoolean" "\0"
  /* 10937 */ "SVGAnimatedEnumeration" "\0"
  /* 10960 */ "SVGAnimatedInteger" "\0"
  /* 10979 */ "SVGAnimatedLength" "\0"
  /* 10997 */ "SVGAnimatedLengthList" "\0"
  /* 11019 */ "SVGAnimatedNumber" "\0"
  /* 11037 */ "SVGAnimatedNumberList" "\0"
  /* 11059 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11090 */ "SVGAnimatedRect" "\0"
  /* 11106 */ "SVGAnimatedString" "\0"
  /* 11124 */ "SVGAnimatedTransformList" "\0"
  /* 11149 */ "SVGAnimationElement" "\0"
  /* 11169 */ "SVGCircleElement" "\0"
  /* 11186 */ "SVGClipPathElement" "\0"
  /* 11205 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11241 */ "SVGDefsElement" "\0"
  /* 11256 */ "SVGDescElement" "\0"
  /* 11271 */ "SVGElement" "\0"
  /* 11282 */ "SVGEllipseElement" "\0"
  /* 11300 */ "SVGFEBlendElement" "\0"
  /* 11318 */ "SVGFEColorMatrixElement" "\0"
  /* 11342 */ "SVGFEComponentTransferElement" "\0"
  /* 11372 */ "SVGFECompositeElement" "\0"
  /* 11394 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11421 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11449 */ "SVGFEDisplacementMapElement" "\0"
  /* 11477 */ "SVGFEDistantLightElement" "\0"
  /* 11502 */ "SVGFEDropShadowElement" "\0"
  /* 11525 */ "SVGFEFloodElement" "\0"
  /* 11543 */ "SVGFEFuncAElement" "\0"
  /* 11561 */ "SVGFEFuncBElement" "\0"
  /* 11579 */ "SVGFEFuncGElement" "\0"
  /* 11597 */ "SVGFEFuncRElement" "\0"
  /* 11615 */ "SVGFEGaussianBlurElement" "\0"
  /* 11640 */ "SVGFEImageElement" "\0"
  /* 11658 */ "SVGFEMergeElement" "\0"
  /* 11676 */ "SVGFEMergeNodeElement" "\0"
  /* 11698 */ "SVGFEMorphologyElement" "\0"
  /* 11721 */ "SVGFEOffsetElement" "\0"
  /* 11740 */ "SVGFEPointLightElement" "\0"
  /* 11763 */ "SVGFESpecularLightingElement" "\0"
  /* 11792 */ "SVGFESpotLightElement" "\0"
  /* 11814 */ "SVGFETileElement" "\0"
  /* 11831 */ "SVGFETurbulenceElement" "\0"
  /* 11854 */ "SVGFilterElement" "\0"
  /* 11871 */ "SVGForeignObjectElement" "\0"
  /* 11895 */ "SVGGElement" "\0"
  /* 11907 */ "SVGGeometryElement" "\0"
  /* 11926 */ "SVGGradientElement" "\0"
  /* 11945 */ "SVGGraphicsElement" "\0"
  /* 11964 */ "SVGImageElement" "\0"
  /* 11980 */ "SVGLength" "\0"
  /* 11990 */ "SVGLengthList" "\0"
  /* 12004 */ "SVGLineElement" "\0"
  /* 12019 */ "SVGLinearGradientElement" "\0"
  /* 12044 */ "SVGMPathElement" "\0"
  /* 12060 */ "SVGMarkerElement" "\0"
  /* 12077 */ "SVGMaskElement" "\0"
  /* 12092 */ "SVGMatrix" "\0"
  /* 12102 */ "SVGMetadataElement" "\0"
  /* 12121 */ "SVGNumber" "\0"
  /* 12131 */ "SVGNumberList" "\0"
  /* 12145 */ "SVGPathElement" "\0"
  /* 12160 */ "SVGPathSeg" "\0"
  /* 12171 */ "SVGPathSegArcAbs" "\0"
  /* 12188 */ "SVGPathSegArcRel" "\0"
  /* 12205 */ "SVGPathSegClosePath" "\0"
  /* 12225 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12251 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12277 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12309 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12341 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12371 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12401 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12437 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12473 */ "SVGPathSegLinetoAbs" "\0"
  /* 12493 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12523 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12553 */ "SVGPathSegLinetoRel" "\0"
  /* 12573 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12601 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12629 */ "SVGPathSegList" "\0"
  /* 12644 */ "SVGPathSegMovetoAbs" "\0"
  /* 12664 */ "SVGPathSegMovetoRel" "\0"
  /* 12684 */ "SVGPatternElement" "\0"
  /* 12702 */ "SVGPoint" "\0"
  /* 12711 */ "SVGPointList" "\0"
  /* 12724 */ "SVGPolygonElement" "\0"
  /* 12742 */ "SVGPolylineElement" "\0"
  /* 12761 */ "SVGPreserveAspectRatio" "\0"
  /* 12784 */ "SVGRadialGradientElement" "\0"
  /* 12809 */ "SVGRect" "\0"
  /* 12817 */ "SVGRectElement" "\0"
  /* 12832 */ "SVGSVGElement" "\0"
  /* 12846 */ "SVGScriptElement" "\0"
  /* 12863 */ "SVGSetElement" "\0"
  /* 12877 */ "SVGStopElement" "\0"
  /* 12892 */ "SVGStringList" "\0"
  /* 12906 */ "SVGStyleElement" "\0"
  /* 12922 */ "SVGSwitchElement" "\0"
  /* 12939 */ "SVGSymbolElement" "\0"
  /* 12956 */ "SVGTSpanElement" "\0"
  /* 12972 */ "SVGTextContentElement" "\0"
  /* 12994 */ "SVGTextElement" "\0"
  /* 13009 */ "SVGTextPathElement" "\0"
  /* 13028 */ "SVGTextPositioningElement" "\0"
  /* 13054 */ "SVGTitleElement" "\0"
  /* 13070 */ "SVGTransform" "\0"
  /* 13083 */ "SVGTransformList" "\0"
  /* 13100 */ "SVGUnitTypes" "\0"
  /* 13113 */ "SVGUseElement" "\0"
  /* 13127 */ "SVGViewElement" "\0"
  /* 13142 */ "Sanitizer" "\0"
  /* 13152 */ "Scheduler" "\0"
  /* 13162 */ "Screen" "\0"
  /* 13169 */ "ScreenLuminance" "\0"
  /* 13185 */ "ScreenOrientation" "\0"
  /* 13203 */ "ScriptProcessorNode" "\0"
  /* 13223 */ "ScrollAreaEvent" "\0"
  /* 13239 */ "ScrollViewChangeEvent" "\0"
  /* 13261 */ "SecurityPolicyViolationEvent" "\0"
  /* 13290 */ "Selection" "\0"
  /* 13300 */ "ServiceWorker" "\0"
  /* 13314 */ "ServiceWorkerContainer" "\0"
  /* 13337 */ "ServiceWorkerGlobalScope" "\0"
  /* 13362 */ "ServiceWorkerRegistration" "\0"
  /* 13388 */ "SessionStoreFormData" "\0"
  /* 13409 */ "SessionStoreScrollData" "\0"
  /* 13432 */ "SessionStoreUtils" "\0"
  /* 13450 */ "ShadowRealmGlobalScope" "\0"
  /* 13473 */ "ShadowRoot" "\0"
  /* 13484 */ "SharedWorker" "\0"
  /* 13497 */ "SharedWorkerGlobalScope" "\0"
  /* 13521 */ "SimpleGestureEvent" "\0"
  /* 13540 */ "SourceBuffer" "\0"
  /* 13553 */ "SourceBufferList" "\0"
  /* 13570 */ "SpeechGrammar" "\0"
  /* 13584 */ "SpeechGrammarList" "\0"
  /* 13602 */ "SpeechRecognition" "\0"
  /* 13620 */ "SpeechRecognitionAlternative" "\0"
  /* 13649 */ "SpeechRecognitionError" "\0"
  /* 13672 */ "SpeechRecognitionEvent" "\0"
  /* 13695 */ "SpeechRecognitionResult" "\0"
  /* 13719 */ "SpeechRecognitionResultList" "\0"
  /* 13747 */ "SpeechSynthesis" "\0"
  /* 13763 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13789 */ "SpeechSynthesisEvent" "\0"
  /* 13810 */ "SpeechSynthesisUtterance" "\0"
  /* 13835 */ "SpeechSynthesisVoice" "\0"
  /* 13856 */ "StaticRange" "\0"
  /* 13868 */ "StereoPannerNode" "\0"
  /* 13885 */ "Storage" "\0"
  /* 13893 */ "StorageEvent" "\0"
  /* 13906 */ "StorageManager" "\0"
  /* 13921 */ "StreamFilter" "\0"
  /* 13934 */ "StreamFilterDataEvent" "\0"
  /* 13956 */ "StructuredCloneHolder" "\0"
  /* 13978 */ "StructuredCloneTester" "\0"
  /* 14000 */ "StyleSheet" "\0"
  /* 14011 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14048 */ "StyleSheetList" "\0"
  /* 14063 */ "StyleSheetRemovedEvent" "\0"
  /* 14086 */ "SubmitEvent" "\0"
  /* 14098 */ "SubtleCrypto" "\0"
  /* 14111 */ "SyncMessageSender" "\0"
  /* 14129 */ "SyncReadFile" "\0"
  /* 14142 */ "TCPServerSocket" "\0"
  /* 14158 */ "TCPServerSocketEvent" "\0"
  /* 14179 */ "TCPSocket" "\0"
  /* 14189 */ "TCPSocketErrorEvent" "\0"
  /* 14209 */ "TCPSocketEvent" "\0"
  /* 14224 */ "TaskController" "\0"
  /* 14239 */ "TaskPriorityChangeEvent" "\0"
  /* 14263 */ "TaskSignal" "\0"
  /* 14274 */ "TelemetryStopwatch" "\0"
  /* 14293 */ "TestUtils" "\0"
  /* 14303 */ "TestingDeprecatedInterface" "\0"
  /* 14330 */ "Text" "\0"
  /* 14335 */ "TextClause" "\0"
  /* 14346 */ "TextDecoder" "\0"
  /* 14358 */ "TextDecoderStream" "\0"
  /* 14376 */ "TextEncoder" "\0"
  /* 14388 */ "TextEncoderStream" "\0"
  /* 14406 */ "TextMetrics" "\0"
  /* 14418 */ "TextTrack" "\0"
  /* 14428 */ "TextTrackCue" "\0"
  /* 14441 */ "TextTrackCueList" "\0"
  /* 14458 */ "TextTrackList" "\0"
  /* 14472 */ "TimeEvent" "\0"
  /* 14482 */ "TimeRanges" "\0"
  /* 14493 */ "ToggleEvent" "\0"
  /* 14505 */ "Touch" "\0"
  /* 14511 */ "TouchEvent" "\0"
  /* 14522 */ "TouchList" "\0"
  /* 14532 */ "TrackEvent" "\0"
  /* 14543 */ "TransformStream" "\0"
  /* 14559 */ "TransformStreamDefaultController" "\0"
  /* 14592 */ "TransitionEvent" "\0"
  /* 14608 */ "TreeColumn" "\0"
  /* 14619 */ "TreeColumns" "\0"
  /* 14631 */ "TreeContentView" "\0"
  /* 14647 */ "TreeWalker" "\0"
  /* 14658 */ "UDPMessageEvent" "\0"
  /* 14674 */ "UDPSocket" "\0"
  /* 14684 */ "UIEvent" "\0"
  /* 14692 */ "URL" "\0"
  /* 14696 */ "URLSearchParams" "\0"
  /* 14712 */ "URLSearchParams Iterator" "\0"
  /* 14737 */ "UniFFIPointer" "\0"
  /* 14751 */ "UniFFIScaffolding" "\0"
  /* 14769 */ "UserActivation" "\0"
  /* 14784 */ "UserInteraction" "\0"
  /* 14800 */ "UserProximityEvent" "\0"
  /* 14819 */ "VRDisplay" "\0"
  /* 14829 */ "VRDisplayCapabilities" "\0"
  /* 14851 */ "VRDisplayEvent" "\0"
  /* 14866 */ "VREyeParameters" "\0"
  /* 14882 */ "VRFieldOfView" "\0"
  /* 14896 */ "VRFrameData" "\0"
  /* 14908 */ "VRMockController" "\0"
  /* 14925 */ "VRMockDisplay" "\0"
  /* 14939 */ "VRPose" "\0"
  /* 14946 */ "VRServiceTest" "\0"
  /* 14960 */ "VRStageParameters" "\0"
  /* 14978 */ "VTTCue" "\0"
  /* 14985 */ "VTTRegion" "\0"
  /* 14995 */ "ValidityState" "\0"
  /* 15009 */ "VideoColorSpace" "\0"
  /* 15025 */ "VideoDecoder" "\0"
  /* 15038 */ "VideoFrame" "\0"
  /* 15049 */ "VideoPlaybackQuality" "\0"
  /* 15070 */ "VideoTrack" "\0"
  /* 15081 */ "VideoTrackList" "\0"
  /* 15096 */ "VisualViewport" "\0"
  /* 15111 */ "WEBGL_color_buffer_float" "\0"
  /* 15136 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15166 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15195 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15225 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15256 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15286 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15321 */ "WEBGL_debug_renderer_info" "\0"
  /* 15347 */ "WEBGL_debug_shaders" "\0"
  /* 15367 */ "WEBGL_depth_texture" "\0"
  /* 15387 */ "WEBGL_draw_buffers" "\0"
  /* 15406 */ "WEBGL_explicit_present" "\0"
  /* 15429 */ "WEBGL_lose_context" "\0"
  /* 15448 */ "WEBGL_provoking_vertex" "\0"
  /* 15471 */ "WaveShaperNode" "\0"
  /* 15486 */ "WebExtensionContentScript" "\0"
  /* 15512 */ "WebExtensionPolicy" "\0"
  /* 15531 */ "WebGL2RenderingContext" "\0"
  /* 15554 */ "WebGLActiveInfo" "\0"
  /* 15570 */ "WebGLBuffer" "\0"
  /* 15582 */ "WebGLContextEvent" "\0"
  /* 15600 */ "WebGLFramebuffer" "\0"
  /* 15617 */ "WebGLProgram" "\0"
  /* 15630 */ "WebGLQuery" "\0"
  /* 15641 */ "WebGLRenderbuffer" "\0"
  /* 15659 */ "WebGLRenderingContext" "\0"
  /* 15681 */ "WebGLSampler" "\0"
  /* 15694 */ "WebGLShader" "\0"
  /* 15706 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15733 */ "WebGLSync" "\0"
  /* 15743 */ "WebGLTexture" "\0"
  /* 15756 */ "WebGLTransformFeedback" "\0"
  /* 15779 */ "WebGLUniformLocation" "\0"
  /* 15800 */ "WebGLVertexArrayObject" "\0"
  /* 15823 */ "WebKitCSSMatrix" "\0"
  /* 15839 */ "WebSocket" "\0"
  /* 15849 */ "WebTransport" "\0"
  /* 15862 */ "WebTransportBidirectionalStream" "\0"
  /* 15894 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15927 */ "WebTransportError" "\0"
  /* 15945 */ "WebTransportReceiveStream" "\0"
  /* 15971 */ "WebTransportSendStream" "\0"
  /* 15994 */ "WheelEvent" "\0"
  /* 16005 */ "Window" "\0"
  /* 16012 */ "WindowClient" "\0"
  /* 16025 */ "WindowContext" "\0"
  /* 16039 */ "WindowGlobalChild" "\0"
  /* 16057 */ "WindowGlobalParent" "\0"
  /* 16076 */ "WindowRoot" "\0"
  /* 16087 */ "Worker" "\0"
  /* 16094 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16120 */ "WorkerGlobalScope" "\0"
  /* 16138 */ "WorkerLocation" "\0"
  /* 16153 */ "WorkerNavigator" "\0"
  /* 16169 */ "WorkerTestUtils" "\0"
  /* 16185 */ "Worklet" "\0"
  /* 16193 */ "WorkletGlobalScope" "\0"
  /* 16212 */ "WritableStream" "\0"
  /* 16227 */ "WritableStreamDefaultController" "\0"
  /* 16259 */ "WritableStreamDefaultWriter" "\0"
  /* 16287 */ "XMLDocument" "\0"
  /* 16299 */ "XMLHttpRequest" "\0"
  /* 16314 */ "XMLHttpRequestEventTarget" "\0"
  /* 16340 */ "XMLHttpRequestUpload" "\0"
  /* 16361 */ "XMLSerializer" "\0"
  /* 16375 */ "XPathEvaluator" "\0"
  /* 16390 */ "XPathExpression" "\0"
  /* 16406 */ "XPathResult" "\0"
  /* 16418 */ "XRBoundedReferenceSpace" "\0"
  /* 16442 */ "XRFrame" "\0"
  /* 16450 */ "XRInputSource" "\0"
  /* 16464 */ "XRInputSourceArray" "\0"
  /* 16483 */ "XRInputSourceEvent" "\0"
  /* 16502 */ "XRInputSourcesChangeEvent" "\0"
  /* 16528 */ "XRPose" "\0"
  /* 16535 */ "XRReferenceSpace" "\0"
  /* 16552 */ "XRReferenceSpaceEvent" "\0"
  /* 16574 */ "XRRenderState" "\0"
  /* 16588 */ "XRRigidTransform" "\0"
  /* 16605 */ "XRSession" "\0"
  /* 16615 */ "XRSessionEvent" "\0"
  /* 16630 */ "XRSpace" "\0"
  /* 16638 */ "XRSystem" "\0"
  /* 16647 */ "XRView" "\0"
  /* 16654 */ "XRViewerPose" "\0"
  /* 16667 */ "XRViewport" "\0"
  /* 16678 */ "XRWebGLLayer" "\0"
  /* 16691 */ "XSLTProcessor" "\0"
  /* 16705 */ "XULCommandEvent" "\0"
  /* 16721 */ "XULElement" "\0"
  /* 16732 */ "XULFrameElement" "\0"
  /* 16748 */ "XULMenuElement" "\0"
  /* 16763 */ "XULPopupElement" "\0"
  /* 16779 */ "XULResizerElement" "\0"
  /* 16797 */ "XULTextElement" "\0"
  /* 16812 */ "XULTreeElement" "\0"
  /* 16827 */ "console" "\0"
  /* 16835 */ "webkitSpeechGrammar" "\0"
  /* 16855 */ "webkitSpeechGrammarList" "\0"
  /* 16879 */ "webkitSpeechRecognition" "\0"
  /* 16903 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

